package com.goldencode.hotel.dmo.hotel;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>hotel.room</code> (previously
 * <code>hotel.room</code>).
 */
public interface Room
extends DataModelObject
{
   /**
    * Getter: Type of Room
    * 
    * @return  Type of Room
    */
   public integer getTypeOfRoom();

   /**
    * Setter: Type of Room
    * 
    * @param   typeOfRoom
    *          Type of Room
    */
   public void setTypeOfRoom(NumberType typeOfRoom);

   /**
    * Getter: Room Number
    * 
    * @return  Room Number
    */
   public integer getRoomNumber();

   /**
    * Setter: Room Number
    * 
    * @param   roomNumber
    *          Room Number
    */
   public void setRoomNumber(NumberType roomNumber);

   /**
    * Getter: Floor
    * 
    * @return  Floor
    */
   public integer getFloor();

   /**
    * Setter: Floor
    * 
    * @param   floor
    *          Floor
    */
   public void setFloor(NumberType floor);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends Room, Buffer
   {
   }
}
