{g-vars.i &vsh = "shared"}
{show-header-frame-def.i}

screen-title = "Menu".

{show-header.i}

def var menu-items as char extent 6.
def var menu-item as char.
def var progs as char extent 6.

menu-items[1] = "R Rooms".
menu-items[2] = "T Rates".
menu-items[3] = "G Guests".
menu-items[4] = "S Reservations".
menu-items[5] = "K Check out".
menu-items[6] = "X Exit".
progs[1] = "rooms.p".
progs[2] = "rates.p".
progs[3] = "guests.p".
progs[4] = "reservations.p".
progs[5] = "checkout.p".
progs[6] = "exit.p".

display menu-items[1] format "x(30)" skip
        menu-items[2] format "x(30)" skip
        menu-items[3] format "x(30)" skip
        menu-items[4] format "x(30)" skip
        menu-items[5] format "x(30)" skip
        menu-items[6] format "x(30)"
        with frame f-menu no-labels centered title "Choose an Option".

on "R", "r" anywhere do:
   publish "push-program" ("rooms.p").
   stop.
end.

on "T", "t" of frame f-menu do:
   publish "push-program" ("rates.p").
   stop.
end.

on "G", "g" of frame f-menu do:
   publish "push-program" ("guests.p").
   stop.
end.

on "S", "s" of frame f-menu do:
   publish "push-program" ("reservations.p").
   stop.
end.

on "K", "k" of frame f-menu do:
   publish "push-program" ("checkout.p").
   stop.
end.

on "X", "x" anywhere do:
   publish "push-program" ("exit.p").
   stop.
end.

proc:
repeat on error undo, leave
       on stop undo, leave
       on endkey undo, leave:
   choose field menu-items help "Select an option"
          auto-return
          go-on("f5")
          with frame f-menu.
   
   if frame-index = ? then message "No option selected." view-as alert-box.
   else do:
      publish "push-program" (progs[frame-index]).
      leave proc.
   end.
end.
