drop index if exists idx__checkout_idx_r_id;
create unique index idx__checkout_idx_r_id on checkout (reservation_id);
drop index if exists idx__checkout_rooms_idx_rc_room;
create index idx__checkout_rooms_idx_rc_room on checkout_rooms (room_number, id);
drop index if exists idx__guest_idx_g_id;
create unique index idx__guest_idx_g_id on guest (guest_id);
drop index if exists idx__meta_user_userid;
create unique index idx__meta_user_userid on meta_user (upper(rtrim(userid)));
drop index if exists idx__rate_idx_rate_s_date;
drop index if exists idx__rate_idx_rate_e_date;
create index idx__rate_idx_rate_s_date on rate (start_date, id);
create index idx__rate_idx_rate_e_date on rate (end_date, id);
drop index if exists idx__reservation_idx_r_id;
drop index if exists idx__reservation_idx_r_checkin;
create unique index idx__reservation_idx_r_id on reservation (reservation_id);
create index idx__reservation_idx_r_checkin on reservation (checkin, id);
drop index if exists idx__room_idx_r_no;
create unique index idx__room_idx_r_no on room (room_number);
