package com.goldencode.hotel.dmo._meta;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>_meta.meta_field</code> (previously
 * <code>_meta._field</code>).
 */
public interface MetaField
extends DataModelObject
{
   /**
    * Getter: newName
    * 
    * @return  newName
    */
   public character getNewName();

   /**
    * Setter: newName
    * 
    * @param   newName
    *          newName
    */
   public void setNewName(Text newName);

   /**
    * Getter: File-recid
    * 
    * @return  File-recid
    */
   public recid getFileRecid();

   /**
    * Setter: File-recid
    * 
    * @param   fileRecid
    *          File-recid
    */
   public void setFileRecid(NumberType fileRecid);

   /**
    * Getter: Field-Name
    * 
    * @return  Field-Name
    */
   public character getFieldName();

   /**
    * Setter: Field-Name
    * 
    * @param   fieldName
    *          Field-Name
    */
   public void setFieldName(Text fieldName);

   /**
    * Getter: Data-Type
    * 
    * @return  Data-Type
    */
   public character getDataType();

   /**
    * Setter: Data-Type
    * 
    * @param   dataType
    *          Data-Type
    */
   public void setDataType(Text dataType);

   /**
    * Getter: dtype
    * 
    * @return  dtype
    */
   public integer getDtype();

   /**
    * Setter: dtype
    * 
    * @param   dtype
    *          dtype
    */
   public void setDtype(NumberType dtype);

   /**
    * Getter: Initial
    * 
    * @return  Initial
    */
   public character getInitial();

   /**
    * Setter: Initial
    * 
    * @param   initial
    *          Initial
    */
   public void setInitial(Text initial);

   /**
    * Getter: Label
    * 
    * @return  Label
    */
   public character getLabel();

   /**
    * Setter: Label
    * 
    * @param   label
    *          Label
    */
   public void setLabel(Text label);

   /**
    * Getter: Mandatory
    * 
    * @return  Mandatory
    */
   public logical isMandatory();

   /**
    * Setter: Mandatory
    * 
    * @param   mandatory
    *          Mandatory
    */
   public void setMandatory(logical mandatory);

   /**
    * Getter: Format
    * 
    * @return  Format
    */
   public character getFormat();

   /**
    * Setter: Format
    * 
    * @param   format
    *          Format
    */
   public void setFormat(Text format);

   /**
    * Getter: sysField
    * 
    * @return  sysField
    */
   public logical isSysField();

   /**
    * Setter: sysField
    * 
    * @param   sysField
    *          sysField
    */
   public void setSysField(logical sysField);

   /**
    * Getter: field-rpos
    * 
    * @return  field-rpos
    */
   public integer getFieldRpos();

   /**
    * Setter: field-rpos
    * 
    * @param   fieldRpos
    *          field-rpos
    */
   public void setFieldRpos(NumberType fieldRpos);

   /**
    * Getter: Decimals
    * 
    * @return  Decimals
    */
   public integer getDecimals();

   /**
    * Setter: Decimals
    * 
    * @param   decimals
    *          Decimals
    */
   public void setDecimals(NumberType decimals);

   /**
    * Getter: Order
    * 
    * @return  Order
    */
   public integer getOrder();

   /**
    * Setter: Order
    * 
    * @param   order
    *          Order
    */
   public void setOrder(NumberType order);

   /**
    * Getter: Can-Read
    * 
    * @return  Can-Read
    */
   public character getCanRead();

   /**
    * Setter: Can-Read
    * 
    * @param   canRead
    *          Can-Read
    */
   public void setCanRead(Text canRead);

   /**
    * Getter: Can-Write
    * 
    * @return  Can-Write
    */
   public character getCanWrite();

   /**
    * Setter: Can-Write
    * 
    * @param   canWrite
    *          Can-Write
    */
   public void setCanWrite(Text canWrite);

   /**
    * Getter: Extent
    * 
    * @return  Extent
    */
   public integer getExtent();

   /**
    * Setter: Extent
    * 
    * @param   extent
    *          Extent
    */
   public void setExtent(NumberType extent);

   /**
    * Getter: Valexp
    * 
    * @return  Valexp
    */
   public character getValexp();

   /**
    * Setter: Valexp
    * 
    * @param   valexp
    *          Valexp
    */
   public void setValexp(Text valexp);

   /**
    * Getter: Valmsg
    * 
    * @return  Valmsg
    */
   public character getValmsg();

   /**
    * Setter: Valmsg
    * 
    * @param   valmsg
    *          Valmsg
    */
   public void setValmsg(Text valmsg);

   /**
    * Getter: Help
    * 
    * @return  Help
    */
   public character getHelp();

   /**
    * Setter: Help
    * 
    * @param   help
    *          Help
    */
   public void setHelp(Text help);

   /**
    * Getter: Desc
    * 
    * @return  Desc
    */
   public character getDesc();

   /**
    * Setter: Desc
    * 
    * @param   desc
    *          Desc
    */
   public void setDesc(Text desc);

   /**
    * Getter: Col-label
    * 
    * @return  Col-label
    */
   public character getColLabel();

   /**
    * Setter: Col-label
    * 
    * @param   colLabel
    *          Col-label
    */
   public void setColLabel(Text colLabel);

   /**
    * Getter: fldStdtype
    * 
    * @return  fldStdtype
    */
   public integer getFldStdtype();

   /**
    * Setter: fldStdtype
    * 
    * @param   fldStdtype
    *          fldStdtype
    */
   public void setFldStdtype(NumberType fldStdtype);

   /**
    * Getter: fldStlen
    * 
    * @return  fldStlen
    */
   public integer getFldStlen();

   /**
    * Setter: fldStlen
    * 
    * @param   fldStlen
    *          fldStlen
    */
   public void setFldStlen(NumberType fldStlen);

   /**
    * Getter: fldStoff
    * 
    * @return  fldStoff
    */
   public integer getFldStoff();

   /**
    * Setter: fldStoff
    * 
    * @param   fldStoff
    *          fldStoff
    */
   public void setFldStoff(NumberType fldStoff);

   /**
    * Indexed Getter: fldMisc1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  fldMisc1
    */
   public integer getFldMisc1(int index);

   /**
    * Indexed Setter: fldMisc1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          fldMisc1
    */
   public void setFldMisc1(int index, NumberType element);

   /**
    * Indexed Getter: fldMisc2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  fldMisc2
    */
   public character getFldMisc2(int index);

   /**
    * Indexed Setter: fldMisc2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          fldMisc2
    */
   public void setFldMisc2(int index, Text element);

   /**
    * Getter: Fld-case
    * 
    * @return  Fld-case
    */
   public logical isFldCase();

   /**
    * Setter: Fld-case
    * 
    * @param   fldCase
    *          Fld-case
    */
   public void setFldCase(logical fldCase);

   /**
    * Indexed Getter: fldRes1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  fldRes1
    */
   public integer getFldRes1(int index);

   /**
    * Indexed Setter: fldRes1
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          fldRes1
    */
   public void setFldRes1(int index, NumberType element);

   /**
    * Indexed Getter: fldRes2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * 
    * @return  fldRes2
    */
   public character getFldRes2(int index);

   /**
    * Indexed Setter: fldRes2
    * 
    * @param   index
    *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
    * @param   element
    *          fldRes2
    */
   public void setFldRes2(int index, Text element);

   /**
    * Getter: forId
    * 
    * @return  forId
    */
   public integer getForId();

   /**
    * Setter: forId
    * 
    * @param   forId
    *          forId
    */
   public void setForId(NumberType forId);

   /**
    * Getter: forPrimary
    * 
    * @return  forPrimary
    */
   public integer getForPrimary();

   /**
    * Setter: forPrimary
    * 
    * @param   forPrimary
    *          forPrimary
    */
   public void setForPrimary(NumberType forPrimary);

   /**
    * Getter: forSpacing
    * 
    * @return  forSpacing
    */
   public integer getForSpacing();

   /**
    * Setter: forSpacing
    * 
    * @param   forSpacing
    *          forSpacing
    */
   public void setForSpacing(NumberType forSpacing);

   /**
    * Getter: forScale
    * 
    * @return  forScale
    */
   public integer getForScale();

   /**
    * Setter: forScale
    * 
    * @param   forScale
    *          forScale
    */
   public void setForScale(NumberType forScale);

   /**
    * Getter: forName
    * 
    * @return  forName
    */
   public character getForName();

   /**
    * Setter: forName
    * 
    * @param   forName
    *          forName
    */
   public void setForName(Text forName);

   /**
    * Getter: forType
    * 
    * @return  forType
    */
   public character getForType();

   /**
    * Setter: forType
    * 
    * @param   forType
    *          forType
    */
   public void setForType(Text forType);

   /**
    * Getter: forItype
    * 
    * @return  forItype
    */
   public integer getForItype();

   /**
    * Setter: forItype
    * 
    * @param   forItype
    *          forItype
    */
   public void setForItype(NumberType forItype);

   /**
    * Getter: forXpos
    * 
    * @return  forXpos
    */
   public integer getForXpos();

   /**
    * Setter: forXpos
    * 
    * @param   forXpos
    *          forXpos
    */
   public void setForXpos(NumberType forXpos);

   /**
    * Getter: forRetrieve
    * 
    * @return  forRetrieve
    */
   public logical isForRetrieve();

   /**
    * Setter: forRetrieve
    * 
    * @param   forRetrieve
    *          forRetrieve
    */
   public void setForRetrieve(logical forRetrieve);

   /**
    * Getter: forSeparator
    * 
    * @return  forSeparator
    */
   public character getForSeparator();

   /**
    * Setter: forSeparator
    * 
    * @param   forSeparator
    *          forSeparator
    */
   public void setForSeparator(Text forSeparator);

   /**
    * Getter: forMaxsize
    * 
    * @return  forMaxsize
    */
   public integer getForMaxsize();

   /**
    * Setter: forMaxsize
    * 
    * @param   forMaxsize
    *          forMaxsize
    */
   public void setForMaxsize(NumberType forMaxsize);

   /**
    * Getter: forAllocated
    * 
    * @return  forAllocated
    */
   public integer getForAllocated();

   /**
    * Setter: forAllocated
    * 
    * @param   forAllocated
    *          forAllocated
    */
   public void setForAllocated(NumberType forAllocated);

   /**
    * Getter: View-As
    * 
    * @return  View-As
    */
   public character getViewAs();

   /**
    * Setter: View-As
    * 
    * @param   viewAs
    *          View-As
    */
   public void setViewAs(Text viewAs);

   /**
    * Getter: Initial-SA
    * 
    * @return  Initial-SA
    */
   public character getInitialSa();

   /**
    * Setter: Initial-SA
    * 
    * @param   initialSa
    *          Initial-SA
    */
   public void setInitialSa(Text initialSa);

   /**
    * Getter: Label-SA
    * 
    * @return  Label-SA
    */
   public character getLabelSa();

   /**
    * Setter: Label-SA
    * 
    * @param   labelSa
    *          Label-SA
    */
   public void setLabelSa(Text labelSa);

   /**
    * Getter: Format-SA
    * 
    * @return  Format-SA
    */
   public character getFormatSa();

   /**
    * Setter: Format-SA
    * 
    * @param   formatSa
    *          Format-SA
    */
   public void setFormatSa(Text formatSa);

   /**
    * Getter: Valmsg-SA
    * 
    * @return  Valmsg-SA
    */
   public character getValmsgSa();

   /**
    * Setter: Valmsg-SA
    * 
    * @param   valmsgSa
    *          Valmsg-SA
    */
   public void setValmsgSa(Text valmsgSa);

   /**
    * Getter: Help-SA
    * 
    * @return  Help-SA
    */
   public character getHelpSa();

   /**
    * Setter: Help-SA
    * 
    * @param   helpSa
    *          Help-SA
    */
   public void setHelpSa(Text helpSa);

   /**
    * Getter: Col-label-SA
    * 
    * @return  Col-label-SA
    */
   public character getColLabelSa();

   /**
    * Setter: Col-label-SA
    * 
    * @param   colLabelSa
    *          Col-label-SA
    */
   public void setColLabelSa(Text colLabelSa);

   /**
    * Getter: Charset
    * 
    * @return  Charset
    */
   public character getCharset();

   /**
    * Setter: Charset
    * 
    * @param   charset
    *          Charset
    */
   public void setCharset(Text charset);

   /**
    * Getter: Collation
    * 
    * @return  Collation
    */
   public character getCollation();

   /**
    * Setter: Collation
    * 
    * @param   collation
    *          Collation
    */
   public void setCollation(Text collation);

   /**
    * Getter: fetchType
    * 
    * @return  fetchType
    */
   public character getFetchType();

   /**
    * Setter: fetchType
    * 
    * @param   fetchType
    *          fetchType
    */
   public void setFetchType(Text fetchType);

   /**
    * Getter: Width
    * 
    * @return  Width
    */
   public integer getWidth();

   /**
    * Setter: Width
    * 
    * @param   width
    *          Width
    */
   public void setWidth(NumberType width);

   /**
    * Getter: fieldPhyspos
    * 
    * @return  fieldPhyspos
    */
   public integer getFieldPhyspos();

   /**
    * Setter: fieldPhyspos
    * 
    * @param   fieldPhyspos
    *          fieldPhyspos
    */
   public void setFieldPhyspos(NumberType fieldPhyspos);

   /**
    * Getter: User-Misc
    * 
    * @return  User-Misc
    */
   public character getUserMisc();

   /**
    * Setter: User-Misc
    * 
    * @param   userMisc
    *          User-Misc
    */
   public void setUserMisc(Text userMisc);

   /**
    * Getter: attributes1
    * 
    * @return  attributes1
    */
   public integer getAttributes1();

   /**
    * Setter: attributes1
    * 
    * @param   attributes1
    *          attributes1
    */
   public void setAttributes1(NumberType attributes1);

   /**
    * Getter: lastModified
    * 
    * @return  lastModified
    */
   public datetimetz getLastModified();

   /**
    * Setter: lastModified
    * 
    * @param   lastModified
    *          lastModified
    */
   public void setLastModified(date lastModified);

   /**
    * Getter: modSequence
    * 
    * @return  modSequence
    */
   public integer getModSequence();

   /**
    * Setter: modSequence
    * 
    * @param   modSequence
    *          modSequence
    */
   public void setModSequence(NumberType modSequence);

   /**
    * DMO interface for use by converted business logic.
    */
   public interface Buf
   extends MetaField, Buffer
   {
      /**
       * Getter: fldMisc1
       * 
       * @return  fldMisc1
       */
      public integer[] getFldMisc1();

      /**
       * Indexed Getter: fldMisc1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  fldMisc1
       */
      public integer getFldMisc1(NumberType index);

      /**
       * Indexed Setter: fldMisc1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          fldMisc1
       */
      public void setFldMisc1(NumberType index, NumberType element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: fldMisc1
       * 
       * @param   element
       *          Scalar value to which to set all elements of: fldMisc1
       */
      public void setFldMisc1(NumberType element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: fldMisc1
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: fldMisc1
       */
      public void setFldMisc1(NumberType[] elements);

      /**
       * Getter: fldMisc2
       * 
       * @return  fldMisc2
       */
      public character[] getFldMisc2();

      /**
       * Indexed Getter: fldMisc2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  fldMisc2
       */
      public character getFldMisc2(NumberType index);

      /**
       * Indexed Setter: fldMisc2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          fldMisc2
       */
      public void setFldMisc2(NumberType index, Text element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: fldMisc2
       * 
       * @param   element
       *          Scalar value to which to set all elements of: fldMisc2
       */
      public void setFldMisc2(Text element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: fldMisc2
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: fldMisc2
       */
      public void setFldMisc2(Text[] elements);

      /**
       * Getter: fldRes1
       * 
       * @return  fldRes1
       */
      public integer[] getFldRes1();

      /**
       * Indexed Getter: fldRes1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  fldRes1
       */
      public integer getFldRes1(NumberType index);

      /**
       * Indexed Setter: fldRes1
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          fldRes1
       */
      public void setFldRes1(NumberType index, NumberType element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: fldRes1
       * 
       * @param   element
       *          Scalar value to which to set all elements of: fldRes1
       */
      public void setFldRes1(NumberType element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: fldRes1
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: fldRes1
       */
      public void setFldRes1(NumberType[] elements);

      /**
       * Getter: fldRes2
       * 
       * @return  fldRes2
       */
      public character[] getFldRes2();

      /**
       * Indexed Getter: fldRes2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * 
       * @return  fldRes2
       */
      public character getFldRes2(NumberType index);

      /**
       * Indexed Setter: fldRes2
       * 
       * @param   index
       *          Index of element (where <code>0 &lt;= <em>index</em> &lt; 8</code>).
       * @param   element
       *          fldRes2
       */
      public void setFldRes2(NumberType index, Text element);

      /**
       * Set all elements of the target list property to the given scalar value. Modifies the
       * contents of: fldRes2
       * 
       * @param   element
       *          Scalar value to which to set all elements of: fldRes2
       */
      public void setFldRes2(Text element);

      /**
       * Set as many elements of the target list property as are provided in the given array of
       * scalar values. Modifies the contents of: fldRes2
       * <p>
       * If the given array is larger than the target list, any additional elements in the given
       * array are ignored. If the target array is smaller than the target list, only those
       * elements whose array indices match are updated.
       * 
       * @param   elements
       *          Array of scalar values to which to set the corresponding elements of: fldRes2
       */
      public void setFldRes2(Text[] elements);

   }
}
